Name:           isic
Version:        0.07
Release:        13%{?dist}
Summary:        IP Stack Integrity Checker

Group:          Applications/Internet
License:        BSD
Url:            http://isic.sourceforge.net
Source0:        http://dl.sourceforge.net/sourceforge/isic/%{name}-%{version}.tgz
Patch0:         isic-0.07-make.patch
Patch1:         isic-0.07-netinet.patch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libnet-devel >= 1.1.0

Requires: libnet >= 1.1.0

%description
ISIC is a suite of utilities to exercise the stability of
an IP Stack and its component stacks (TCP, UDP, ICMP et.
al.) It generates piles of pseudo random packets of the
target protocol. The packets be given tendancies to conform
to. Ie 50% of the packets generated can have IP Options.
25% of the packets can be IP fragments... But the
percentages are arbitrary and most of the packet fields
have a configurable tendancy.

The packets are then sent against the target machine to
either penetrate its firewall rules or find bugs in the
IP stack.

ISIC also contains a utility generate raw ether frames to
examine hardware implementations.

%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1
chmod 644 wrapper.sh

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/esic
%{_bindir}/icmpsic
%{_bindir}/isic
%{_bindir}/tcpsic
%{_bindir}/udpsic
%{_bindir}/icmpsic6
%{_bindir}/isic6
%{_bindir}/multisic
%{_bindir}/tcpsic6
%{_bindir}/udpsic6
%{_mandir}/man1/isic.*


%doc README ChangeLog INSTALL wrapper.sh

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 30 2012 Jon Ciesla <limburgher@gmail.com> - 0.07-8
- libnet rebuild.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 27 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.07-6
- Add isic-0.07-netinet.patch (Fix FTBS BZ#716180).

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> 0.07-2
- Bump and rebuild with gcc 4.3
- Drop gratuitous junk on %%configure line

* Thu Jan 25 2007 Jarod Wilson <jwilson@redhat.com> 0.07-1
- New upstream release

* Tue Sep 05 2006 Jarod Wilson <jwilson@redhat.com> 0.06-3
- Rebuild for new glibc

* Thu May 18 2006 Jarod Wilson <jwilson@redhat.com> 0.06-2
- make wrapper.sh chmod 644

* Thu May 18 2006 Jarod Wilson <jwilson@redhat.com> 0.06-1
- Initial release
